package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type DocumentDetailRequest struct {
	// <ext>format:string</ext> 【签署文档id】签署文档id 【作用】 根据文档id，定位需要查询详情的文档
	DocumentId *int64 `json:"documentId,omitempty"`
}

func (obj DocumentDetailRequest) GetUrl() string {
	return "/document/detail"
}

func (obj DocumentDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("documentId", obj.DocumentId)
	return parameter
}
